﻿namespace BBCode
{
    /// <summary>
    /// Struct which defines the indexes of a Node
    /// </summary>
    public struct NodeIndex
    {
        /// <summary>
        /// Gets or sets the beginning of the node.
        /// </summary>
        /// <value>
        /// The index of the beginning of the node.
        /// </value>
        public int Beginning { get; set; }

        /// <summary>
        /// Gets or sets the end of the node.
        /// </summary>
        /// <value>
        /// The index of the end of the node.
        /// </value>
        public int End { get; set; }
    }
}
