﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="_Default" Codebehind="Default.aspx.cs" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:TextBox ID="txtInput" runat="server" Height="298px" TextMode="MultiLine" Width="474px">[h1]What is BBCode?[/h1]
BBCode is a special implementation of HTML. Whether you can actually use BBCode in your posts on the forum is determined by the administrator. In addition you can disable BBCode on a per post basis via the posting form. BBCode itself is similar in style to HTML, tags are enclosed in square brackets [ and ] rather than &lt; and &gt; and it offers greater control over what and how something is displayed. Depending on the template you are using you may find adding BBCode to your posts is made much easier through a clickable interface above the message area on the posting form. Even with this you may find the following guide useful.
[h1]BBCode and Furious-Gaming.com[/h1]
Since BBCode offers alot of funcionality some specifuc codes will be disabled on some parts of the website. For example BBCode will be stripped from the description of gallery pictures on the frontpage. Also we&#39;ve added onto the default BBCode used by PHPBB forums for example, more information about furious-gaming specific BBCode can be found in the following paragraphs.
[h2]Limitations[/h2]
In order to avoide abuse some limits have been set by the administration, for example the [b]Size[/b] tag has a maximum size of 200. You are only allowed to nest 10 Quotes and there are some other limitations. Depending on the limit you either get a message explaining what you should alter or it will resort back to the default values set for this limit.
[h2]Example syntax[/h2]In the following paragraphs the different BBCodes will be explained. Some of the BBCode have optional parameters and usages, to differtiate between required and optional parameters the parameters which are optional will be enclosed with two astrix (*) symbols. For example in the following block the &quot;name&quot; attribute is optional [code][quote*=SomeName*]Quoted text[/quote][/code]
When parameters van specific correct values these will be separated by a forward slash (/), like in the following example: [code][list*=1/a*][*]List item[/list][/code]
After every example we&#39;ll show the output right after.
[h2]Text Formatting[/h2]These tags let you alter the way the text you type is formatted. 
[list][*][h3]Bold[/h3] [code][b]Example[/b][/code] [b]Example[/b]
[*][h3]Italic[/h3] [code][i]Example[/i][/code][i]Example[/i]
[*][h3]Underline[/h3] [code][u]Example[/u][/code][u]Example[/u]
[*][h3]Strike[/h3] [code][strike]Example[/strike][/code][strike]Example[/strike]
[*][h3]Size[/h3] [code][size=200]Example[/size][/code][size=200]Example[/size]
[*][h3]Color[/h3] [code][color=red]Example[/color][/code][color=red]Example[/color]
[*][h3]Combining formatting tags[/h3]It&#39;s possible to combine tags together, make sure you open and close the tags in the proper order. Just take a look at the following example.
[code][color=red][size=200][b]Example[/b][/size][/color][/code][color=red][size=200][b]Example[/b][/size][/color]
[/list]
[h2]Display fields[/h2]These tags let you put specific focus on parts of the text. 
[list][*][h3]Quote[/h3] [code][quote*=w00tdorf*]Example[/quote][/code] [quote=w00tdorf]Example[/quote]
[*][h3]Code[/h3] Text inside code tags is not parsed by the BBCode parser. [code][ code ][i]Example[/i][/ code ][/code][code][i]Example[/i][/code]
[/list]
[h2]Lists[/h2]These tags let you output different kinds of lists both ordered and unordered. 
[list][*][h3]Unsorted[/h3] [code] [list]
[*]Red
[*]Blue
[*]Yellow
[/list] [/code] [list]
[*]Red
[*]Blue
[*]Yellow
[/list]
[*][h3]Sorted[/h3] The list can be sorted either by numbers or alphabetically. [code] [list=1/a]
[*]Go to the shops
[*]Buy a new computer
[*]Swear at computer when it crashes
[/list] [/code] [list=1]
[*]Go to the shops
[*]Buy a new computer
[*]Swear at computer when it crashes
[/list]
[*][h3]Nesting &amp; Combining[/h3]It is possible to nest and combine the following list types (and other bbcodes)[code] [list]
[*]Red
[*]Blue
[list=1]
[*]Go to the shops
[*]Buy a new computer
[*]Swear at computer when it crashes
[/list] [*]Yellow
[/list] [/code] [list]
[*]Red
[*]Blue
[list=1]
[*]Go to the shops
[*]Buy a new computer
[*]Swear at computer when it crashes
[/list] [*]Yellow
[/list]
[/list]
[h2]Visual tags[/h2]These tags allow you to display images and/or youtube videos onto the website. 
[list][*][h3]Image[/h3] [code][img]http://www.furious-gaming.com/_images/f2logo_r2.png [/img][/code] [img]http://www.furious-gaming.com/_images/f2logo_r2.png [/img]
[*][h3]Thumbnail[/h3]When posting on furious-gaming.com we offer and prefer the use of the thumbnailtag. The thumbnail tag basically adds onto the img tag in a way that it displays a thumbnail on which users can click in order to get a fullsize view of the image. The thumbnail tag has more options then any of the other tags but the two which are most noteworthy (and not so self explainatory) are: lightbox and id. When lightbox is enabled the javascript lightbox viewer is used in order to display the fullsize image. By Default lightbox will be enabled for the thumbnail tag. The id property is used as a quick reference to our own gallery, basically entering the image id will link to the gallery image without having to bother with the specific URL.[code][thumb id=283/ url=http://furious-gaming.com/_images/f2logo_r2.png *lightbox=true* *width=200* *height=50* *float=right*]Title[/thumb] [/code][thumb url=http://furious-gaming.com/_images/f2logo_r2.png lightbox=true width=200 height=50 float=right]Title[/thumb]
Because of the float, it is possible to type text next to your thumbnails, this makes for easy styling of your articles!
Like stated above the float tag is optional, meaning you can leave it out completely and it will behave like any other inline element.
[*][h3]Youtube[/h3] [code][youtube]http://www.youtube.com/watch?v=X80Qjh9Yivs[/youtube][/code] [youtube]http://www.youtube.com/watch?v=X80Qjh9Yivs[/youtube]

[/list]
[h2]Styling[/h2]These tags let you style text and elements
[list][*][h3]Align[/h3] [code][Align=right/left]Example[/align][/code][align=right]Example[/align]
[*][h3]Headers[/h3] Text you want to have displayed as Headers you enclose in the header tags. Header tags run from h1 up to h6. Header are prestyled by the stylesheets of the website so will &quot;always&quot; look good. [code][h2]Example[/h2][/code][h2]Example[/h2]
[*][h3]Horizontal Ruler[/h3] You can use a horizontal ruler to create a visual seperator, this is a bbcode that does not have a closing tag.[code][hr]Example[hr][/code][hr]Example[hr]
[/list]
[h2]Links[/h2]
[list][*][h3]URL[/h3] [code][url*=http://furious-gaming.com/*]Description or if no URL is suplied the URL goes here![/url][/code] [url=http://furious-gaming.com/]Description or if no URL is suplied the URL goes here![/url]
[*][h3]Auto parsing[/h3]The website support automated parsing of URL that you type in your text. While to be 100% sure your link is parsed you should use the url tag even if you just type the URL chances are the parser will turn this into a link automatically.[code]http://furious-gaming.com/[/code]http://furious-gaming.com/
[/list]</asp:TextBox>
    <br/>
    <asp:Button ID="Button1" runat="server" Text="Button" onclick="Button1_Click" />
    </form><hr />
    <asp:Label ID="Label1" runat="server" ForeColor="Red">Parsed Text:</asp:Label><br />
    <asp:Label ID="txtResults" runat="server"></asp:Label><br /><hr />
    <asp:Label ID="Label2" runat="server" ForeColor="Lime">Resulting HTML</asp:Label><br />
    <div runat="server" id="htmlResults"></div>
</body>
</html>
