﻿namespace BBCode
{
    /// <summary>
    /// Type of parsing to be used.
    /// </summary>
    public enum ParseType
    {
        /// <summary>
        /// Print the parsed BBCode
        /// </summary>
        Print,

        /// <summary>
        /// Clean the BBCode, leaving innertexts.
        /// </summary>
        Clean,

        /// <summary>
        /// Remove the BBCode and innertexts completely
        /// </summary>
        Remove
    }
}
